Rename a column in a table's schema
Rename a column in a table’s schema
Authentication: required
Required API Scope: Workspace Database: Update
POST
/
workspace
/
{workspace_id}
/
table
/
{table_id}
/
schema
/
rename
Rename a column in a table's schema
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/schema/rename \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_name": "new_field",
"old_name": "old_field"
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/schema/rename"
payload = {
"new_name": "new_field",
"old_name": "old_field"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_name: 'new_field', old_name: 'old_field'})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/schema/rename', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Success!
The response is of type object.
Was this page helpful?
Replace all indexes for a database table
Previous
Retrieve details for a specific column in a table's schema
Next
⌘I
Rename a column in a table's schema
